export declare class SlEnvVars {
    static HTTP_TIMEOUT: string;
    static HTTP_MAX_ATTEMPTS: string;
    static HTTP_ATTEMPT_INTERVAL: string;
    static PRODUCTION_LISTENER: string;
    static FILE_STORAGE: string;
    static NEW_UNIQUE_ID: string;
    static BASE_PATH: string;
    static USE_ISTANBUL: string;
    static ENABLE_FOOTPRINTS_V6: string;
    static FOOTPRINTS_COLLECTION_INTERVAL_SECS: string;
    static FOOTPRINTS_SEND_MAX_INTERVAL_SECS: string;
    static FOOTPRINTS_QUEUE_SIZE: string;
    static EXECUTION_QUERY_INTERVAL_SEC: string;
    static FOOTPRINTS_BUFFER_THRESHOLD_MB: string;
    static getHttpTimeout(): number | null;
    static getHttpMaxAttempts(): number | null;
    static getHttpAttemptInterval(): number | null;
    static inProductionListenerMode(): boolean;
    static getProductionListenerModes(): string[];
    static getFileStorage(): string;
    static getBasePath(): string;
    static isUseNewUniqueId(): boolean;
    static isUseIstanbul(): boolean;
    static enableFootprintsV6(): boolean;
    static getFootprintsCollectIntervalSecs(): number;
    static getFootprintsSendMaxIntervalSecs(): number;
    static getFootprintsQueueSize(): number;
    static getExecutionQueryIntervalSecs(): number;
    static getFootprintsBufferThresholdMb(): number;
    static CIA: {
        new (): {};
        FILE_EXTENSIONS: string;
        SL_SOURCE_ROOT: string;
        SL_MAPPING_PATH: string;
        SL_MAPPING_URL: string;
        getFileExtensions(): string;
        getSourceRoot(): string;
        getSlMappingPath(): string;
        getSlMappingUrl(): string;
    };
}
