import { IHitFileData, IIstanbulProcessMetrics } from "./contracts";
import bunyan = require("bunyan");
export declare class HitsCollector {
    private _globalCoverageObject;
    private _latestCoverageSnapshot;
    private logger;
    constructor(logger: bunyan, globalCoverageObject?: IIstanbulProcessMetrics);
    getHitElements(): IHitFileData[];
    latestCoverageSnapshot: IIstanbulProcessMetrics;
    globalCoverageObject: IIstanbulProcessMetrics;
    private getHitMethods;
    dropHits(): void;
    private getHitLeaves;
    private getHitBranches;
    private createEmptyIstanbulModule;
    private getFileCoverageObjects;
    getGlobalCoverageObject(): IIstanbulProcessMetrics;
}
